$Revision: 1.3 $
$Date: 2005/08/24 22:26:20 $

# Parameters

## `default_expires` (integer)

If the processed message contains neither Expires HFs nor expires contact parameters, this value will be used for newly created usrloc records. The parameter contains number of second to expire (for example use 3600 for one hour).

Default value is 3600.

### Set `default_expires` parameter

    ...
    modparam("registrar", "default_expires", 1800)
    ...

## `min_expires` (integer)

The minimum expires value of a Contact, values lower than this minimum will be automatically set to the minimum. Value 0 disables the checking.

Default value is 60.

### Set `min_expires` parameter

    ...
    modparam("registrar", "min_expires", 60)
    ...

## `max_expires` (integer)

The maximum expires value of a Contact, values higher than this maximum will be automatically set to the maximum. Value 0 disables the checking.

Default value is 0.

### Set `max_expires` parameter

    ...
    modparam("registrar", "max_expires", 120)
    ...

## `default_q` (integer)

The parameter represents default q value for new contacts. Because ser doesn't support float parameter types, the value in the parameter is divided by 100 and stored as float. For example, if you want default_q to be 0.38, use value 38 here.

Default value is 0.

### Set `default_q` parameter

    ...
    modparam("registrar", "default_q", 100)
    ...

## `append_branches` (integer)

The parameter controls how lookup function processes multiple contacts. If there are multiple contacts for the given username in usrloc and this parameter is set to 1, Request-URI will be overwritten with the highest-q rated contact and the rest will be appended to sip_msg structure and can be later used by tm for forking. If the parameter is set to 0, only Request-URI will be overwritten with the highest-q rated contact and the rest will be left unprocessed.

Default value is 1.

### Set `append_branches` parameter

    ...
    modparam("registrar", "append_branches", 0)
    ...

## `use_domain` (integer)

If set to 1 then the registrar will use username@domain as address of record. If the variable is set to 0 then only username will be used as the address of record.

Default value is 0.

### Set `use_domain` parameter

    ...
    modparam("registrar", "use_domain", 1)
    ...

## `case_sensitive` (integer)

If set to 1 then AOR comparison will be case sensitive, if set to 0 then AOR comparison will be case insensitive--This is recommended.

Default value is 0.

### Set `case_sensitive` parameter

    ...
    modparam("registrar", "case_sensitive", 1)
    ...

## `desc_time_order` (integer)

If set to 1 then all contacts will be ordered in descending modification time order. In this case the most recently updated/created contact will be used.

Default value is 0.

### Set `desc_time_order` parameter

    ...
    modparam("registrar", "desc_time_order", 1)
    ...

## `received_avp` (integer)

Registrar will store the value of the AVP configured by this parameter in the received column in the user location database. It will leave the column empty if the AVP is empty. The AVP should contain a SIP URI consisting of the source IP, port, and protocol of the REGISTER message being processed.

The value of this parameter should be the same as the value of corresponding parameter of nathelper module.

Default value is 42.

### Set `received_avp` parameter

    ...
    modparam("registrar", "received_avp", 43)
    ...

## `received_param` (integer)

The name of the parameter that will be appended to Contacts of 200 OK when the received URI was set by nathelper module.

Default value is "received".

### Set `received_param` parameter

    ...
    modparam("registrar", "received_param", "rcv")
    ...

## `max_contacts` (integer)

The parameter can be used to limit the number of contacts per AOR (Address of Record) in the user location database. Value 0 disables the check.

Default value is 0.

### Set `max_contacts` parameter

    ...
    # Allow no more than 10 contacts per AOR
    modparam("registrar", "max_contacts", 10)
    ...

## `retry_after` (integer)

The registrar can generate 5xx reply to REGISTER in various situations. It can, for example, happen when the `max_contacts` parameter is set and the processing of REGISTER request would exceed the limit. In this case the registrar would generate "503 Service Unavailable" response.

If you want to add the Retry-After header field in 5xx replies, set this parameter to a value grater than zero (0 means do not add the header field). See section 20.33 of RFC3261 for more details.

Default value is 0 (disabled).

### Set `retry_after` parameter

    ...
    modparam("registrar", "retry_after", 30)
    ...